Package org.apache.commons.collections4.functors

# Class InstanceofPredicate

java.lang.Object
org.apache.commons.collections4.functors.InstanceofPredicate

All Implemented Interfaces:
  `Serializable`, `Predicate<Object>`, `Predicate<Object>`

public final class InstanceofPredicate extends Object implements Predicate<Object>, Serializable
Predicate implementation that returns true if the input is an instanceof the type stored in this predicate.

Since:
  3.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InstanceofPredicate(Class<?> type)`
  Constructor that performs no validation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `evaluate(Object object)`
  Evaluates the predicate returning true if the input object is of the correct type.
  `Class<?>`
  `getType()`
  Gets the type to compare to.
  `static Predicate<Object>`
  `instanceOfPredicate(Class<?> type)`
  Factory to create the identity predicate.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.function.Predicate

  `and, negate, or`

  ### Methods inherited from interface org.apache.commons.collections4.Predicate

  `test`

- ## Constructor Details

  - ### InstanceofPredicate

    public InstanceofPredicate(Class<?> type)
    Constructor that performs no validation. Use `instanceOfPredicate` if you want that.
    Parameters:
      `type` - the type to check for

- ## Method Details

  - ### instanceOfPredicate

    public static Predicate<Object> instanceOfPredicate(Class<?> type)
    Factory to create the identity predicate.
    Parameters:
      `type` - the type to check for, may not be null
    Returns:
      the predicate
    Throws:
      `NullPointerException` - if the class is null

  - ### evaluate

    public boolean evaluate(Object object)
    Evaluates the predicate returning true if the input object is of the correct type.
    Specified by:
      `evaluate` in interface `Predicate<Object>`
    Parameters:
      `object` - the input object
    Returns:
      true if input is of stored type

  - ### getType

    public Class<?> getType()
    Gets the type to compare to.
    Returns:
      the type
    Since:
      3.1